lens-5.3.3: Lenses, Folds and Traversals

Copyright | (C) 2012-16 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | experimental
Portability | Rank2Types
Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Typeable.Lens

Description

Synopsis

- _cast :: (Typeable s, Typeable a) => Traversal' s a
- _gcast :: forall s a (c :: Type -> Type). (Typeable s, Typeable a) => Traversal' (c s) (c a)

# Documentation

_cast :: (Typeable s, Typeable a) => Traversal' s a #

A `Traversal'` for working with a `cast` of a `Typeable` value.

_gcast :: forall s a (c :: Type -> Type). (Typeable s, Typeable a) => Traversal' (c s) (c a) #

A `Traversal'` for working with a `gcast` of a `Typeable` value.